commit:     3535e504b1a5a2c8ebe2abb31d76e4493b684c51
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 06:46:49 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 06:47:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3535e504
dev-ruby/typeprof: add 0.13.0

Also fix gemspec generation.

Closes: https://bugs.gentoo.org/768540
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/typeprof/Manifest               |  1 +
 dev-ruby/typeprof/typeprof-0.13.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/typeprof/Manifest b/dev-ruby/typeprof/Manifest
index 42d12290409..0afeb5f7ae0 100644
--- a/dev-ruby/typeprof/Manifest
+++ b/dev-ruby/typeprof/Manifest
@@ -1,2 +1,3 @@
 DIST typeprof-0.11.0.tar.gz 496673 BLAKE2B 
215bd738a4a4b9e7de78943a944fd63dd4f166f215a493cdc89270e0452453683d3fdd1f71ccc05f4399f61e120248a73ed9b77b5b24ed4aa8b54e97d9e0073d
 SHA512 
cc64bd805c57a16c275ba5622df08ff30fd64ae82b18e29fb30e03d17a6ca0e889c03696c745597bfec6444290f1f33020c4bd9c49a02fc3053add33e3e60084
 DIST typeprof-0.12.0.tar.gz 497398 BLAKE2B 
149d382c5598ce3cfa023133095190e00e083ac445019c4aedf59d66005db93241dacd9c724f2b62e64d02aa3d7f4a58a3fa4546256c872030687574112c7333
 SHA512 
a28bc10ce19f7a3afe940cb01fd443c89a87497be2be0b03d92684581c4ffdc061e8e5119652116884e4cf0e5c0ea7d9a73c0f8be2a666d6bbe71e81bada323b
+DIST typeprof-0.13.0.tar.gz 498218 BLAKE2B 
f6b8566dd25cf08952c136bf59cc7f10f01609d8c2e7633054892f296c6c35cc0f0121e086f465d9ee97776d803829f27895e1544772bff33e3fdb562ad0b9df
 SHA512 
dda9b5d84a2fc6473ddf71b897e13aac9675a4e4ef5dfe71fe6929a3025ac2b3ab051a5882d936112de86ecddb96e0b665741ba08748a6d94c6540bc13c171b0

diff --git a/dev-ruby/typeprof/typeprof-0.13.0.ebuild 
b/dev-ruby/typeprof/typeprof-0.13.0.ebuild
new file mode 100644
index 00000000000..495c43dbf0b
--- /dev/null
+++ b/dev-ruby/typeprof/typeprof-0.13.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="typeprof.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Performs a type analysis of non-annotated Ruby code"
+HOMEPAGE="https://github.com/ruby/typeprof";
+SRC_URI="https://github.com/ruby/typeprof/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/rbs-1.0.0"
+
+all_ruby_prepare() {
+       # Avoid tests that download live code using git
+       rm -r test/typeprof/{goodcheck,diff-lcs}_test.rb || die
+
+       sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' 
${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to